package com.fastest.pass.account.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.account.utils.AccountRoute
import kotlinx.coroutines.flow.MutableStateFlow

class AccountViewModel : ViewModel() {

    private val _router = MutableStateFlow<AccountRoute>(AccountRoute.OpenNoneScreen)
    val router: MutableStateFlow<AccountRoute> = _router

    fun navigateTo(accountRoute: AccountRoute) {
        _router.value = accountRoute
    }
}